# This file created by conda-build 3.21.4
# ------------------------------------------------

package:
  name: dpcpp-cpp-rt
  version: 2021.3.0
source:
  - folder: intel-cmplr-lic-rt
    url: https://anaconda.org/intel/intel-cmplr-lic-rt/2021.3.0/download/linux-64/intel-cmplr-lic-rt-2021.3.0-intel_3350.tar.bz2
  - folder: intel-fortran-rt
    url: https://anaconda.org/intel/intel-fortran-rt/2021.3.0/download/linux-64/intel-fortran-rt-2021.3.0-intel_3350.tar.bz2
  - folder: dpcpp-cpp-rt
    url: https://anaconda.org/intel/dpcpp-cpp-rt/2021.3.0/download/linux-64/dpcpp-cpp-rt-2021.3.0-intel_3350.tar.bz2
  - folder: intel-cmplr-lib-rt
    url: https://anaconda.org/intel/intel-cmplr-lib-rt/2021.3.0/download/linux-64/intel-cmplr-lib-rt-2021.3.0-intel_3350.tar.bz2
  - folder: intel-opencl-rt
    url: https://anaconda.org/intel/intel-opencl-rt/2021.3.0/download/linux-64/intel-opencl-rt-2021.3.0-intel_3350.tar.bz2
  - folder: dpcpp_impl_linux-64
    url: https://anaconda.org/intel/dpcpp_impl_linux-64/2021.3.0/download/linux-64/dpcpp_impl_linux-64-2021.3.0-intel_3350.tar.bz2
  - folder: dpcpp_linux-64
    url: https://anaconda.org/intel/dpcpp_linux-64/2021.3.0/download/linux-64/dpcpp_linux-64-2021.3.0-intel_3350.tar.bz2
  - folder: oneccl-devel
    url: https://anaconda.org/intel/oneccl-devel/2021.3.0/download/linux-64/oneccl-devel-2021.3.0-intel_343.tar.bz2
build:
  missing_dso_whitelist:
    - '*'
  number: 3350
  string: h06a4308_3350
requirements:
  build: []
  run:
    - intel-cmplr-lib-rt 2021.3.0 h06a4308_3350
    - intel-cmplr-lic-rt 2021.3.0 h06a4308_3350
    - intel-opencl-rt 2021.3.0 h06a4308_3350
    - intel-openmp 2021.*
test:
  commands:
    - ls -A1 $PREFIX/lib/*
about:
  description: "Runtime for Intel\xAE oneAPI DPC++/C++ Compiler.\nThis package is\
    \ a repackaged set of binaries obtained directly from Intel's Anaconda.org channel.\n"
  dev_url: https://software.intel.com/content/www/us/en/develop/documentation/oneapi-dpcpp-cpp-compiler-dev-guide-and-reference/top.html
  doc_url: https://software.intel.com/content/www/us/en/develop/tools/oneapi/components/dpc-compiler.html
  home: https://software.intel.com/content/www/us/en/develop/tools.html
  license: Intel End User License Agreement for Developer Tools
  license_family: Proprietary
  license_file:
    - dpcpp-cpp-rt/info/licenses/license.txt
    - dpcpp-cpp-rt/info/licenses/tpp.txt
  summary: "Runtime for Intel\xAE oneAPI DPC++/C++ Compiler"
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - null
